Subject: [nmrg] Re[draft-irtf-nmrg-ibn-intent-classification-00]: Re: [NMRG] Adoption call for draft-li-nmrg-intent-classification-03

From: 孙雪媛 <[email-masked]>
Date: Wed, 29 Jul 2020 16:49:40 +0800

Hi Daniel,

Thank you very much for your support and comments . In response to your comment (the original email below is marked in yellow： Personally, I would like to see not only the SDOs working on Intent mentioned, but you could also reference their output documents too and scope of that work. This may be a separate sub-section. It would help identify what work has been performed, application area and possible gaps.) : 
Re : We will add a subsection to illustrate the reference value of some intentoutput documents to the draft we developed. 
For example, the output document of IETF [ANIMA] explains the definition of intent, the tentative format (what content is included in the intent), and some practical examples of intent. It provides great reference value for us to formulate the logical relationship of the intent classification strategy and specific application examples under each intent classification.In theadded section in the future, it mainly includes the results of the output documents of these intent and the reference value for us to formulate the intent classification standards.
Hope to have more discussion with you on this issue. Thank you ！

Best Regards,
SUN xueyuan

孙雪媛   SUN Xueyuan
中国电信战略与创新研究院 China Telecom Research Institute
Tel：010-50902887/ 17316269362
Email：[email-masked]
 
From: King, Daniel
Date: 2020-06-16 17:54
To: [email-masked]
Subject: Re: [nmrg] [NMRG] Adoption call for draft-li-nmrg-intent-classification-03
Dear RG, 
 
Just wanted to add my support for the adoption of draft-li-nmrg-intent-classification-03. It provides a good basis for the research group to document network intent perspectives, functions and methods.

As an aside please find a number of specific comments (DK>>) below, I do not believe they need to be addressed prior to adoption, but they may improve the work as it progresses. 
 
1. Abstract 
 
DK>> You may want to reword the second paragraph in the abstract to something along the lines of:
 
“This document discusses the concept of intent.. Specifically, it highlights stakeholder perspectives of intent, methods to classify and encode intent, the associated intent taxonomy, and defines relevant intent terms where necessary. This document provides a foundation for intent related research and facilitate solution development.”  
 
DK>> The document seems mostly discuss intent in the context of “network intent”, you may want to state this in the abstract and introduction. 
 
2. Table of Contents 
 
DK>> Section 3 and 6 titles should use capitalised letters for consistency. 
 
3. Introduction 
 
DK>> I would suggest expanding SDO acronyms in their initial usage, and then using acronyms in the rest of the document.
 
DK>> I noticed when reading the document inconsistent use of “life-cycle” and “lifecycle”, “intent-driven” and “intent driven”, “task-based” and “task based”, “end-users” and “end users”. 
 
DK> Introduction paragraph 4 needs to be updated, I would suggest:
 
“As observed, each of the aforementioned SDO defined the application, scope and method of applying intent. With each SDO defining a set of terms and level of abstraction, its intended users, and the applications and usage scenarios.”
 
DK>> You may want to break some of the content in the final sentences of the “1. Introduction” section in a “1.1 Scope” sub-section, as you seem to be defining scope. 
 
DK>> Personally, I would like to see not only the SDOs working on Intent mentioned, but you could also reference their output documents too and scope of that work. This may be a separate sub-section. It would help identify what work has been performed, application area and possible gaps. 
 
DK>> You should move the Conformance Language into a separate section. 
 
4. Acronyms 
 
DK>> A good start but several missing terms. I would also suggest that this document would benefit from a “Definitions” section, as well as Acronyms.  
 
5. General readability and English usage. 
 
DK>> I found a bunch of English nits and suggested subtle changes to improve readability. I can send an updated XML file or Word document with Change Markers to the editors as required. 
 
BR, Dan.